#### D.6.21.8 posweight

Procedure from library `spcurve.lib` (see spcurve_lib).

Usage:
  posweight(M,t1,n[,s]); M matrix, t1 module, n int, s string
  n=0 : all deformations of non-negative weight
  n=1 : only non-constant deformations of non-negative weight
  n=2 : all deformations of positive weight

Assume:
  M is a presentation matrix of a Cohen-Macaulay codimension 2 ideal and t1 is its T1 space in matrix notation

Return:
  new ring containing a list posw, consisting of a presentation matrix describing the deformation given by the generators of T1 of non-negative/positive weight and the weight vector for the new variables

Note:
  The current basering should not contain any variables named T(i) where i is some integer!

Example:

    LIB "spcurve.lib";
    ring r=32003,(x(1),x(2),x(3)),ds;
    ideal curve=(x(3)-x(1)^2)*x(3),(x(3)-x(1)^2)*x(2),x(2)^2-x(1)^7*x(3);
    matrix M=isCMcod2(curve);
    list l=matrixT1(M,3);
    def rneu=posweight(l[1],std(l[2]),0);
    setring rneu;
    pmat(posw[1]);
    ==> T(2)+x(1)*T(1), -x(3)+x(1)^2,
    ==> -x(3),          x(2),
    ==> x(2),           -x(1)^7
    posw[2];
    ==> 3,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.